Results 1 to 10 of 32

Thread: Nvidia Optimus - Bumblebee or Ironhide?

Hybrid View

  1. #1
    Join Date
    Oct 2010
    Beans
    11

    Nvidia Optimus - Bumblebee or Ironhide?

    Hi, I have a Dell XPS L501X laptop. It has nVidia GeForce GT420M graphics card which uses Optimus. My OS is Ubuntu 11.10 (32 bit). I have read that currently the only way to use Optimus graphic cards in Ubuntu is to install Bumblebee or Ironhide. Which one of these is better? I want stable software that does not crash my system. Should I install nVidia driver from official repository (nvidia-current) or ppa:ubuntu-x-swat/x-updates? Also, which profile should I use for configuring Bumblebee/Ironhide? Thanks.

  2. #2
    Join Date
    May 2009
    Location
    relative
    Beans
    365
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Nvidia Optimus - Bumblebee or Ironhide?

    Just come over on optimus problems in the past few days (525 M).
    I installed ironhide (I read somewhere that it is the next version of bumblebee, codenamed like that).
    Don't install any of the restricted drivers like nvidia-current and such, ironhide will take care about those things.
    You will find the basic instructions about enabling your cards on the project site:
    http://linux-hybrid-graphics.blogspo...including.html

    Good luck.

  3. #3
    Join Date
    Sep 2011
    Location
    Glasgow
    Beans
    55
    Distro
    Ubuntu

    Re: Nvidia Optimus - Bumblebee or Ironhide?

    hi
    I haven't tried either of those yet, just found out about ironhide the other day.
    Do they require the nouveau driver? I thought the nvidia drivers were on the whole recommended over nouveau for power consumption etc?

    M.

  4. #4
    Join Date
    May 2009
    Location
    relative
    Beans
    365
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Nvidia Optimus - Bumblebee or Ironhide?

    Quote Originally Posted by moldaviax View Post
    hi
    I haven't tried either of those yet, just found out about ironhide the other day.
    Do they require the nouveau driver? I thought the nvidia drivers were on the whole recommended over nouveau for power consumption etc?

    M.
    No, they require the official nvidia drivers. I just warned you to don't install anything by "hand", ironhide will take care about the drivers.

  5. #5
    Join Date
    Aug 2006
    Location
    Haarlem Netherlands
    Beans
    250

    Re: Nvidia Optimus - Bumblebee or Ironhide?

    I've been using bumblebee on arch > drawback is that it provided no energysaving-features. That might have changed though ans is worth looking into.
    I use acpi_call with success. This disables the nvidia and just addresses the intel graphic chip. That's on linux mint based on 10.04. It needs some configuration though. Advantage is that it's a good solution regarding powerconsumption on my dell xps15 ( 502 )..
    I've got no need to use the nvidia 520 as I still have win7 installed for the heavier duties.
    I guess it all depends on your needs. If you wanna use the nvidia , then ironhide or bumblebee, otherwise I'd say look into the acpi_call method.

  6. #6
    Join Date
    May 2009
    Location
    relative
    Beans
    365
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Nvidia Optimus - Bumblebee or Ironhide?

    For the same reason I switched to win 7, ironhide failed to disable my nvidia card, so wasn't really power saving. I also managed to got a free copy of windows through the Academic Alliance program on my university, so in long term this was cheaper solution.
    Regardless my current current OS I'm looking forward for the improvements on the field of hybrid graphics on Linux, I've been using only linux for more than 5 years..

  7. #7
    Join Date
    Oct 2010
    Beans
    11

    Re: Nvidia Optimus - Bumblebee or Ironhide?

    Hi, I installed Bumblebee from stable ppa. I used nVidia driver from official repository (not ppa:ubuntu-x-swat/x-updates). When I used optirun, it shows error message "Bumblebee X server failed to start" and "Failed to initialize nVidia GPU at PCI:2:0:0" in /var/log/Xorg.8.log. Then I activated nvidia-current and nvidia-current-updates in Additional Drivers. Now glxspheres, glxgears, etc. won't work without optirun! Also the Unity interface now displays with some errors. Any ideas why Bumblebee did not work? Thanks.

    P.S.:My laptop configurations are given in the first message in this thread.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •